<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>object-runtime</artifactId>
    <version>1.9.0</version>
  </parent>
  <artifactId>object-runtime-core</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: OBJECT RUNTIME CORE</name>
  <description>ENTAXY :: PLATFORM :: CORE :: OBJECT RUNTIME CORE</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		  ru.entaxy.platform.objects.runtime,
		  ru.entaxy.platform.objects.runtime.healthcheck,
		  ru.entaxy.platform.objects.runtime.impl,
		  ru.entaxy.platform.objects.runtime.impl.manager
	  </bundle.osgi.export.pkg>
  </properties>
  
  <dependencies>
	  <dependency>
		  <groupId>org.apache.karaf.bundle</groupId>
		  <artifactId>org.apache.karaf.bundle.core</artifactId>
		  <version>${karaf.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
		  <artifactId>artifact-management</artifactId>
		  <version>${project.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.felix</groupId>
		  <artifactId>org.apache.felix.healthcheck.api</artifactId>
		  <version>2.0.4</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.felix</groupId>
		  <artifactId>org.apache.felix.healthcheck.annotation</artifactId>
		  <version>2.0.0</version>
	  </dependency>
  </dependencies>
  
</project>
